Project

General

Profile

Bug #2250

tng_io-configVersion.cmake: has no version

Added by Christoph Junghans about 2 years ago. Updated 11 months ago.

Status:
Closed
Priority:
Normal
Target version:
-
Affected version - extra info:
1.8.0
Affected version:
Close

Description

When building tng standalone tng_io-configVersion.cmake has no version in it:

$ head -1 cmake/tng_io-configVersion.cmake
set(PACKAGE_VERSION "")

The problem is due to the fact that TNG_IO_VERSION gets set in TNG_GENERATE_VERSION_H(), but not globally. And parent_scope TNG_GENERATE_VERSION_H() makes it only visible in add_tng_io_library(), but not globally.

There are main ways to fix this, one would to set version globally with

project(TNG_IO VERSION 1.8.0)

Associated revisions

Revision 54c9e61d (diff)
Added by Christoph Junghans about 2 years ago

fix version in tng_io-configVersion.cmake (bug #2250)

Change-Id: I2bea0f11713039f41b91a083158fdaaf19c014df

History

#1 Updated by Gerrit Code Review Bot about 2 years ago

Gerrit received a related patchset '1' for Issue #2250.
Uploader: Magnus Lundborg ()
Change-Id: gromacs~master~Icf81d5f3ce916e984750e1511d32e16ebc45b6f9
Gerrit URL: https://gerrit.gromacs.org/7071

#2 Updated by Mark Abraham 11 months ago

  • Status changed from New to Resolved

#3 Updated by Mark Abraham 11 months ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF